function outVec = removeOutlier(inVec,accVar)
%removeOutlier creates outVec where the peaks of inVec are removed
	if nargin<2
		accVar=2;
	end
	meanVal=0;
	stdVal=0;
	outVec=inVec;
	mysize=size(inVec);
	for l=1:mysize(1)
	for k=1:mysize(2)
		meanVal=mean(inVec(l,:));
		stdVal=std(inVec(l,:));
		if (inVec(l,k) > meanVal+accVar*stdVal) ...
				| (inVec(l,k) < meanVal-accVar*stdVal)
			outVec(l,k)=mean(inVec(l,[1:k-1,k+1:mysize(2)]));
		end
	end
	end
end
