function outVec = removePeaks(inVec,nVal,accVar)
%removePeaks creates outVec where the peaks of inVec are removed
	if nargin<3
		accVar=2;
	end
	if nargin<2
		nVal=10;
	end
	meanVal=0;
	stdVal=0;
	outVec=inVec;
	mysize=size(inVec);
	for l=1:mysize(2)
	for k=1:mysize(1)
		meanVal=mean(inVec((max(1,k-nVal)):(min(k+nVal,mysize(1))),l));
		stdVal=std(inVec(max(1,k-nVal):min(k+nVal,mysize(1)),l));
		if (inVec(k,l) > meanVal+accVar*stdVal) ...
				| (inVec(k,l) < meanVal-accVar*stdVal)
			outVec(k,l)=meanVal;
		end
	end
	end
end

